aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/vdb_repository_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/vdb_repository_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/e/vdb_repository_TEST_setup.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/paludis/repositories/e/vdb_repository_TEST_setup.sh b/paludis/repositories/e/vdb_repository_TEST_setup.sh
index e5eabbe39..022b6b2c5 100755
--- a/paludis/repositories/e/vdb_repository_TEST_setup.sh
+++ b/paludis/repositories/e/vdb_repository_TEST_setup.sh
@@ -152,3 +152,30 @@ cp postinsttest_src1/cat/pkg/pkg-{0,1}.ebuild
cp postinsttest_src1/cat/pkg/pkg-{0,1.1}.ebuild
cp postinsttest_src1/cat/pkg/pkg-{0,2}.ebuild
+mkdir -p removestalefilesvdb removestalefiles/{eclass,profiles/profile,cat/pkg} || exit 1
+
+cat <<END > removestalefiles/profiles/profile/make.defaults
+ARCH=test
+USERLAND="GNU"
+KERNEL="linux"
+CHOST="i286-badger-linux-gnu"
+END
+echo removestalefiles >removestalefiles/profiles/repo_name
+echo cat >removestalefiles/profiles/categories
+
+cat <<'END' >removestalefiles/cat/pkg/pkg-0.ebuild
+SLOT="0"
+KEYWORDS="test"
+S="${WORKDIR}"
+
+src_unpack() {
+ touch stale-both
+ $VDB_REPOSITORY_TEST_STALE && touch stale-first
+}
+
+src_install() {
+ insinto /
+ doins stale-*
+}
+END
+